---
title: NDEFRecord.data
slug: Web/API/NDEFRecord/data
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>data</code></strong> property of the {{DOMxRef("NDEFRecord")}} interface is {{DOMxRef("DataView")}} providing access to the payload data of the record.</span></p>

<p>It provides access to a raw content of the record and thus data consumer might need to decode it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>NDEFRecord</em>.data</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("DataView")}} that contains encoded payload data of the record.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefrecord-data">Web NFC, NDEFRecord.data</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFRecord.data")}}</p>
